#! /usr/bin/ksh
# ----------------------------------------------------------------------
# @(#) stage_datafile.sh 1.6.0 06/03/17 11:36:08
# @(#) 
# Licensed Materials - Property of IBM
# 5724-T05
# @(#) Copyright IBM Corp. 2003,2009. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# ----------------------------------------------------------------------
#

supportedVersions='R18 R19 R20 R21 R22 R23'

for ver in ${supportedVersions}
do

fileScanDirectory=${MotoCDMA_HOME}/vendor/Motorola/MSC/ftpIN/MotoCDMA/${ver}/in
fileDestDirectory=${MotoCDMA_HOME}/vendor/Motorola/MSC/ftpIN/MotoCDMA/${ver}/stage

if [[ -d ${fileScanDirectory} ]]
then
  echo "OK: Directory ${fileScanDirectory} exists."
else
  mkdir -p ${fileScanDirectory}
fi

if [[ -d ${fileDestDirectory} ]]
then
  echo "OK: Directory ${fileDestDirectory} exists."
else
  mkdir -p ${fileDestDirectory}
fi
touch ${fileDestDirectory}/mot_aems_cxxx.dat

sync

sqlplus -S /nolog <<EOF
connect $DB_CONNECT
CREATE OR REPLACE DIRECTORY MOT_AEMSC_${DBUSER}_${ver}_DIR AS '${fileDestDirectory}';
EXIT
EOF

done

